# Yaf_Request_Http::getRaw

(Yaf >=3.0.7)

Yaf_Request_Http::getRaw — Retrieve Raw request body

### Description

public Yaf_Request_Http::getRaw ( void ) : mixed

Retrieve Raw request body

### Parameters

This function has no parameters.

### Return Values

Return string on success, FALSE on failure.

### See Also

- Yaf_Request_Http::get() - Retrieve variable from client
- Yaf_Request_Http::getPost() - Retrieve POST variable
- Yaf_Request_Http::getCookie() - Retrieve Cookie variable
- Yaf_Request_Http::getQuery() - Fetch a query parameter
- Yaf_Request_Abstract::getServer() - Retrieve SERVER variable
- Yaf_Request_Abstract::getParam() - Retrieve calling parameter